/*
 * JCards
 * Copyright (C) 2002-2009 Nick Sydenham <nsydenham@yahoo.co.uk>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package nrs.jcards;

/**
 * Object used to store information about changes to a Card
 * 
 * @author Copyright (C) 2002-2009 Nick Sydenham &lt;nsydenham@yahoo.co.uk&gt;
 */
public class CardUpdate
{
	/** Event types */
	public enum Event
	{
		LOAD, CARD_NEW, CARD_UPDATE, CARD_DELETE, SET_INFO, FIND, REPLACE
	}
	
	public Event cardOperation;
	/** The index of the Card being altered */
	public int cardIndex = -1;
	
	/** Number of cards in the DB*/
	public int numCards = -1;
	
	/** Number of found cards */
	public int foundCards = 0;

	/**
	 * Creates a new instance of CardUpdate
     * @param cardOp card operation
     * @param cardIndex index of the card that changed
	 * @param numCards the number of cards in the DB
	 * @param foundCards the number of found cards in the DB, may be 0
     */
	public CardUpdate(Event cardOp, int cardIndex, int numCards, int foundCards)
	{
		cardOperation = cardOp;
		this.cardIndex = cardIndex;
		this.numCards = numCards;
		this.foundCards = foundCards;
	}
}
