/*
 * JCards
 * Copyright (C) 2002-2009 Nick Sydenham <nsydenham@yahoo.co.uk>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package nrs.jcards;

/**
 * DBDef change event
 *
 * @author Copyright &#169; 2002-2009 Nick Sydenham &lt;nsydenham@yahoo.co.uk&gt;
 */
public class DBDefUpdate
{
	/** Event enum */
	public enum Event {
		CATEGORY_ITEM_ADDED, CATEGORY_ITEM_MOVED, CATEGORY_ITEM_REMOVED,
		CATEGORY_ITEM_RENAMED, CATEGORY_REMOVED, CATEGORY_RENAMED,
		CATEGORY_UPDATED, COUNTER_ADDED, COUNTER_DELETED, COUNTER_UPDATED,
		FIELD_ADD, FIELD_CHANGE, FIELD_DELETE, FIELD_DELETE_VIS, FIELD_MOVE,
		FIELD_SORT, RESET, VISIBLE_FIELDS }
	
	private Event event;
	private Object oldObject, newObject;
	private String oldName, newName;
	private int oldIndex, newIndex, newSize;
	
	public DBDefUpdate(Event event)
	{
		this.event = event;
	}
	
	public Event getEvent()
	{
		return event;
	}

	public void setEvent(Event event)
	{
		this.event = event;
	}

		/**
	 * @return the oldName
	 */
	public String getOldName()
	{
		return oldName;
	}

	/**
	 * @param oldName the oldName to set
	 */
	public void setOldName(String oldName)
	{
		this.oldName = oldName;
	}

	/**
	 * @return the newName
	 */
	public String getNewName()
	{
		return newName;
	}

	/**
	 * @param newName the newName to set
	 */
	public void setNewName(String newName)
	{
		this.newName = newName;
	}

	/**
	 * @return the oldIndex
	 */
	public int getOldIndex()
	{
		return oldIndex;
	}

	/**
	 * @param oldIndex the oldIndex to set
	 */
	public void setOldIndex(int oldIndex)
	{
		this.oldIndex = oldIndex;
	}

	/**
	 * @return the newIndex
	 */
	public int getNewIndex()
	{
		return newIndex;
	}

	/**
	 * @param newIndex the newIndex to set
	 */
	public void setNewIndex(int newIndex)
	{
		this.newIndex = newIndex;
	}

	/**
	 * @return the oldObject
	 */
	public Object getOldObject()
	{
		return oldObject;
	}

	/**
	 * @param oldObject the oldObject to set
	 */
	public void setOldObject(Object newObject)
	{
		this.oldObject = newObject;
	}

	/**
	 * @return the newObject
	 */
	public Object getNewObject()
	{
		return newObject;
	}

	/**
	 * @param newObject the newObject to set
	 */
	public void setNewObject(Object newObject)
	{
		this.newObject = newObject;
	}

	/**
	 * @return the newSize
	 */
	public int getNewSize()
	{
		return newSize;
	}

	/**
	 * @param newSize the newSize to set
	 */
	public void setNewSize(int newSize)
	{
		this.newSize = newSize;
	}
}
