/*
 * JCards
 * Copyright (C) 2002-2009 Nick Sydenham <nsydenham@yahoo.co.uk>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package nrs.jcards;

/**
 * Holds find/replace details
 *
 * @author Copyright &#169; 2002-2009 Nick Sydenham &lt;nsydenham@yahoo.co.uk&gt;
 */
public class FindReplaceDetails
{
    /** Search text */
    public String searchText;

    /** Replacement text (optional) */
    public String replaceText;

    /** Field to search in. Null mean all fields */
    public String field;

    /** Match case (default no)*/
    public boolean matchCase;

    /** Match whole words (default no) */
    public boolean wholeWords;

    /** Set to true to indicate a replace rather than a find operation (default no, i.e. find) */
    public boolean replaceOp;
    
    /** Find in results */
    public boolean findInResults;
}