/*
 * This file is part of JCards.
 * JCards is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * JCards is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JCards; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package nrs.jcards;

/**
 * An invalid field has been encountered.
 *
 * @author Copyright &#169; 2002-2009 Nick Sydenham &lt;nsydenham@yahoo.co.uk&gt;
 */
public class InvalidFieldException extends Exception
{
	private String field;
	
	/**
	 * Create a new exception
	 * @param field the field affected
	 * @param message a relevant message
	 */
    public InvalidFieldException(String field, String message)
    {
		super(message);
		this.field = field;
    }
	
	/**
	 * Get the invalid field name
	 * @return field name
	 */
	public String getField()
	{
		return field;
	}
}