/*
 * JCards
 * Copyright (C) 2002-2009 Nick Sydenham <nsydenham@yahoo.co.uk>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package nrs.jcards.gui;

import java.awt.Color;
import java.awt.Component;
import java.awt.Font;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.ListCellRenderer;
import nrs.jcards.DBDef;
import nrs.jcards.fields.FieldDef;

/**
 * Field list renderer
 *
 * @author Copyright &#169; 2002-2009 Nick Sydenham &lt;nsydenham@yahoo.co.uk&gt;
 */
public class FieldListCellRenderer extends JLabel implements ListCellRenderer
{
	/** Creates a new instance of FieldListCellRenderer */
	public FieldListCellRenderer()
	{
		setOpaque(true);
	}

	@Override
	public Component getListCellRendererComponent(
			JList list,
			Object value,
			int index,
			boolean isSelected,
			boolean cellHasFocus)
	{
		FieldDef fd = DBDef.getInstance().getFieldDef(value.toString());
		setText(fd.getName());
		setBackground(isSelected ? Color.BLUE : Color.WHITE);
		setForeground(isSelected ? Color.WHITE : Color.BLACK);
		Font f = list.getFont();
		if (fd.isMandatory()) {
			setFont(f.deriveFont(Font.BOLD));
		} else {
			setFont(f.deriveFont(Font.PLAIN));
		}
		
		return this;
	}
}
