/*
 * JCards
 * Copyright (C) 2002-2009 Nick Sydenham <nsydenham@yahoo.co.uk>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package nrs.jcards.gui.action;

import java.awt.event.ActionEvent;
import java.net.URL;
import nrs.jcards.JCards;

/**
 * Context senstive help action
 * @author Copyright &#169; 2002-2009 Nick Sydenham &lt;nsydenham@yahoo.co.uk&gt;
 */
public class ContextHelpAction extends JCardsAction
{
	private String fragment;
	
	public ContextHelpAction(JCards jcards, ActionEnum action)
	{
		super(jcards, action);
	}

	public void setFragment(String fragment)
	{
		this.fragment = fragment;
	}
	
	@Override public void actionPerformed(ActionEvent e)
	{
		URL helpURL = HelpAction.getHelpFile(fragment);
		jcards.getFrame().setStatus(JCards.getMessage("show.help"));
		jcards.getFrame().displayURL(helpURL);
	}
}
