package nrs.jcards.gui.action;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;
import javax.swing.AbstractAction;
import javax.swing.Icon;
import nrs.jcards.JCards;
import nrs.jcards.UserSettings;
import nrs.jcards.gui.JCardsFrame;

/*
 * JCards
 * Copyright (C) 2002-2009 Nick Sydenham <nsydenham@yahoo.co.uk>
 *
 * JCards is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * JCards is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JCards; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/**
 * OK button used in dialogs
 *
 * @author Copyright &#169; 2002-2009 Nick Sydenham &lt;nsydenham@yahoo.co.uk&gt;
 */
public class OKAction extends AbstractAction
{
    private OKActionI okDialog;
    
    /** Creates a new instance of CancelAction */
    public OKAction(OKActionI okDialog)
    {
		this.okDialog = okDialog;

		String name = JCards.getButtonString("ok");
		Icon okIcon = JCardsFrame.getImage(UserSettings.ICON_OK);

		putValue(NAME, name);
		putValue(SMALL_ICON, okIcon);
    }
    
    @Override public void actionPerformed(ActionEvent e)
    {
		okDialog.okClicked();
    }
}
