package nrs.jcards.gui.dialog;

import java.awt.Dialog;
import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;
import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.ActionMap;
import javax.swing.InputMap;
import javax.swing.JComponent;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.KeyStroke;

/*
 * JCards
 * Copyright (C) 2002-2009 Nick Sydenham <nsydenham@yahoo.co.uk>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/**
 * Base dialog class that listens for escape key
 *
 * @author Copyright &#169; 2002-2009 Nick Sydenham &lt;nsydenham@yahoo.co.uk&gt;
 */
public class BaseDialog extends JDialog
{
	/** Creates a new instance of BaseDialog */
	public BaseDialog(JFrame parent, boolean modal)
	{
		super(parent, modal);
		addEscapeKeyListener();
	}
	
	public BaseDialog(Dialog parent, String title, boolean modal)
	{
		super(parent, title, modal);
		addEscapeKeyListener();
	}
	
	public BaseDialog(JFrame parent, String title, boolean modal)
	{
		super(parent, title, modal);
		addEscapeKeyListener();
	}
	
	private void addEscapeKeyListener()
	{
		InputMap map = getRootPane().getInputMap(JComponent.WHEN_ANCESTOR_OF_FOCUSED_COMPONENT);
		//Adding the key that needs to be captured
		map.put(KeyStroke.getKeyStroke(KeyEvent.VK_ESCAPE, 0), "cancel");
		ActionMap actionMap = getRootPane().getActionMap();
		//Creating the action that needs to be executed when the key is pressed
		Action close = new AbstractAction() {
			@Override public void actionPerformed(ActionEvent ae)
			{
				dispose();
			}
		};
		actionMap.put("cancel", close);
	}
}
