/*
 * JCards
 * Copyright (C) 2002-2009 Nick Sydenham <nsydenham@yahoo.co.uk>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package nrs.jcards.gui.dialog;

import java.awt.*;
import javax.swing.JButton;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import nrs.jcards.Cards;
import nrs.jcards.JCards;
import nrs.jcards.gui.JCardsFrame;
import nrs.jcards.gui.action.CancelAction;
import nrs.jcards.gui.action.OKActionI;
import nrs.jcards.gui.action.OKAction;

/**
 * Dialog for editing the comment associated with a database
 *
 * @author Copyright &#169; 2002-2009 Nick Sydenham &lt;nsydenham@yahoo.co.uk&gt;
 */
public class CommentDialog extends BaseDialog implements OKActionI
{
	private JTextArea comment;
	private Cards cards;

	/** Creates a new instance of CommentDialog */
	public CommentDialog(JCardsFrame jcardsFrame, Cards cards)
	{
		super(jcardsFrame, true);

		this.cards = cards;

		setTitle(JCards.getLabelString("edit.comment"));

		GridBagLayout gbl = new GridBagLayout();
		GridBagConstraints gbc = new GridBagConstraints();

		setLayout(gbl);

		gbc.anchor = GridBagConstraints.CENTER;
		gbc.fill = GridBagConstraints.BOTH;
		gbc.weightx = 1.0;
		gbc.weighty = 1.0;
		gbc.gridwidth = GridBagConstraints.REMAINDER;

		comment = new JTextArea(cards.getInfo(), 10, 30);
		JScrollPane scroll = new JScrollPane(comment);
		gbc.insets = new Insets(5, 5, 5, 5);
		gbl.setConstraints(scroll, gbc);
		add(scroll);

		JButton okButton = new JButton(new OKAction(this));
		gbc.insets = new Insets(2, 2, 2, 2);
		gbc.gridwidth = 1;
		gbc.weighty = 0.0;
		gbc.fill = GridBagConstraints.HORIZONTAL;
		gbl.setConstraints(okButton, gbc);
		add(okButton);
		getRootPane().setDefaultButton(okButton);

		JButton cancel = new JButton(new CancelAction(this));
		gbc.gridwidth = GridBagConstraints.REMAINDER;
		gbl.setConstraints(cancel, gbc);
		add(cancel);
	}

	/** User clicked OK button */
	@Override public void okClicked()
	{
		cards.setInfo(comment.getText());
		dispose();
	}
}
