package nrs.jcards.gui.dialog;

import javax.swing.JFileChooser;
import javax.swing.JFrame;
import nrs.jcards.JCards;
import nrs.jcards.UserSettings;
import nrs.jcards.gui.JCardsFrame;
import nrs.jcards.gui.action.JCardsAction;

/*
 * JCards
 * Copyright (C) 2002-2009 Nick Sydenham <nsydenham@yahoo.co.uk>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/**
 * Dialog for opening a JCards file from a URL
 *
 * @author Copyright &#169; 2002-2009 Nick Sydenham &lt;nsydenham@yahoo.co.uk&gt;
 */
public class URLDialog extends BaseDialog
{
	private int returnCode = JFileChooser.CANCEL_OPTION;
	
	/** Creates new form URLDialog */
	public URLDialog(JFrame parent)
	{
		super(parent, true);
		initComponents();
		setLocationRelativeTo(parent);
	}
	
	public int showURLDialog()
	{
		setVisible(true);
		return returnCode;
	}
	
	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the Form Editor.
	 */
    // <editor-fold defaultstate="collapsed" desc=" Generated Code ">//GEN-BEGIN:initComponents
    private void initComponents()
    {
        java.awt.GridBagConstraints gridBagConstraints;

        contentPanel = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        url = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        useProxy = new javax.swing.JCheckBox();
        jLabel3 = new javax.swing.JLabel();
        httpProxy = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        httpPort = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        ftpProxy = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        ftpPort = new javax.swing.JTextField();
        buttonPanel = new javax.swing.JPanel();
        cancelButton = new javax.swing.JButton();
        okButton = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle(JCards.getLabelString("url.dialog"));
        setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        contentPanel.setLayout(new java.awt.GridBagLayout());

        jLabel1.setDisplayedMnemonic(getMnemonic("url"));
        jLabel1.setLabelFor(url);
        jLabel1.setText(JCards.getLabelString("url")+":");
        jLabel1.setDisplayedMnemonicIndex(getMnemonicIndex("url"));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.insets = new java.awt.Insets(10, 10, 20, 0);
        contentPanel.add(jLabel1, gridBagConstraints);

        url.setColumns(50);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridwidth = java.awt.GridBagConstraints.REMAINDER;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(10, 20, 20, 10);
        contentPanel.add(url, gridBagConstraints);

        jLabel2.setDisplayedMnemonic(getMnemonic("use.proxy"));
        jLabel2.setLabelFor(useProxy);
        jLabel2.setText(JCards.getLabelString("use.proxy")+":");
        jLabel2.setDisplayedMnemonicIndex(getMnemonicIndex("use.proxy"));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 10, 10, 0);
        contentPanel.add(jLabel2, gridBagConstraints);

        useProxy.addItemListener(new java.awt.event.ItemListener()
        {
            public void itemStateChanged(java.awt.event.ItemEvent evt)
            {
                useProxyHandler(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridwidth = java.awt.GridBagConstraints.REMAINDER;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 20, 10, 10);
        contentPanel.add(useProxy, gridBagConstraints);

        jLabel3.setDisplayedMnemonic(getMnemonic("http.proxy"));
        jLabel3.setLabelFor(httpProxy);
        jLabel3.setText(JCards.getLabelString("http.proxy")+":");
        jLabel3.setDisplayedMnemonicIndex(getMnemonicIndex("http.proxy"));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.insets = new java.awt.Insets(0, 10, 10, 0);
        contentPanel.add(jLabel3, gridBagConstraints);

        httpProxy.setColumns(30);
        httpProxy.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.weightx = 0.5;
        gridBagConstraints.insets = new java.awt.Insets(0, 20, 10, 10);
        contentPanel.add(httpProxy, gridBagConstraints);

        jLabel4.setDisplayedMnemonic(getMnemonic("http.port"));
        jLabel4.setLabelFor(httpPort);
        jLabel4.setText(JCards.getLabelString("http.port")+":");
        jLabel4.setDisplayedMnemonicIndex(getMnemonicIndex("http.port"));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.insets = new java.awt.Insets(0, 10, 10, 0);
        contentPanel.add(jLabel4, gridBagConstraints);

        httpPort.setColumns(10);
        httpPort.setText("80");
        httpPort.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridwidth = java.awt.GridBagConstraints.REMAINDER;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.weightx = 0.2;
        gridBagConstraints.insets = new java.awt.Insets(0, 20, 10, 10);
        contentPanel.add(httpPort, gridBagConstraints);

        jLabel5.setDisplayedMnemonic(getMnemonic("ftp.proxy"));
        jLabel5.setLabelFor(ftpProxy);
        jLabel5.setText(JCards.getLabelString("ftp.proxy")+":");
        jLabel5.setDisplayedMnemonicIndex(getMnemonicIndex("ftp.proxy"));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.weighty = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(5, 10, 10, 0);
        contentPanel.add(jLabel5, gridBagConstraints);

        ftpProxy.setColumns(30);
        ftpProxy.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.weightx = 0.5;
        gridBagConstraints.weighty = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(0, 20, 10, 10);
        contentPanel.add(ftpProxy, gridBagConstraints);

        jLabel6.setDisplayedMnemonic(getMnemonic("ftp.port"));
        jLabel6.setLabelFor(ftpPort);
        jLabel6.setText(JCards.getLabelString("ftp.port")+":");
        jLabel6.setDisplayedMnemonicIndex(getMnemonicIndex("ftp.port"));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.weighty = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(5, 10, 10, 0);
        contentPanel.add(jLabel6, gridBagConstraints);

        ftpPort.setColumns(10);
        ftpPort.setText("22");
        ftpPort.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.weightx = 0.2;
        gridBagConstraints.weighty = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(0, 20, 10, 10);
        contentPanel.add(ftpPort, gridBagConstraints);

        getContentPane().add(contentPanel, java.awt.BorderLayout.CENTER);

        buttonPanel.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT, 10, 5));

        cancelButton.setIcon(JCardsFrame.getImage(UserSettings.ICON_CANCEL));
        cancelButton.setText(JCards.getButtonString("cancel"));
        cancelButton.addActionListener(new java.awt.event.ActionListener()
        {
            public void actionPerformed(java.awt.event.ActionEvent evt)
            {
                cancelButtonClicked(evt);
            }
        });

        buttonPanel.add(cancelButton);

        okButton.setIcon(JCardsFrame.getImage(UserSettings.ICON_OK));
        okButton.setText(JCards.getButtonString("ok"));
        okButton.addActionListener(new java.awt.event.ActionListener()
        {
            public void actionPerformed(java.awt.event.ActionEvent evt)
            {
                okButtonClicked(evt);
            }
        });

        buttonPanel.add(okButton);

        getContentPane().add(buttonPanel, java.awt.BorderLayout.SOUTH);

        pack();
    }// </editor-fold>//GEN-END:initComponents
	
	private void cancelButtonClicked(java.awt.event.ActionEvent evt)//GEN-FIRST:event_cancelButtonClicked
	{//GEN-HEADEREND:event_cancelButtonClicked
		returnCode = JFileChooser.CANCEL_OPTION;
		dispose();
	}//GEN-LAST:event_cancelButtonClicked
	
	private void okButtonClicked(java.awt.event.ActionEvent evt)//GEN-FIRST:event_okButtonClicked
	{//GEN-HEADEREND:event_okButtonClicked
		returnCode = JFileChooser.APPROVE_OPTION;
		dispose();
	}//GEN-LAST:event_okButtonClicked
	
	private void useProxyHandler(java.awt.event.ItemEvent evt)//GEN-FIRST:event_useProxyHandler
	{//GEN-HEADEREND:event_useProxyHandler
		httpProxy.setEnabled(useProxy.isSelected());
		httpPort.setEnabled(useProxy.isSelected());
		ftpProxy.setEnabled(useProxy.isSelected());
		ftpPort.setEnabled(useProxy.isSelected());
	}//GEN-LAST:event_useProxyHandler
	
	/** Get the displayed mnemonic for the label */
	private char getMnemonic(String key)
	{
		return JCardsAction.getMnemonic(JCards.getLabelString(key, true));
	}
	
	/** Get the mnemonic index for the label */
	private int getMnemonicIndex(String key)
	{
		return JCardsAction.getMnemonicIndex(JCards.getLabelString(key, true));
	}
	
	/**
	 * @param args the command line arguments
	 */
	public static void main(String args[])
	{
		java.awt.EventQueue.invokeLater(new Runnable()
		{
			public void run()
			{
				new URLDialog(new javax.swing.JFrame()).setVisible(true);
			}
		});
	}
	
	public String getFtpPort()
	{
		return ftpPort.getText();
	}
	
	public void setFtpPort(String ftpport)
	{
		ftpPort.setText(ftpport);
	}
	
	public String getFtpProxy()
	{
		return ftpProxy.getText();
	}
	
	public void setFtpProxy(String ftpproxy)
	{
		ftpProxy.setText(ftpproxy);
	}
	
	public String getHttpPort()
	{
		return httpPort.getText();
	}
	
	public void setHttpPort(String httpport)
	{
		httpPort.setText(httpport);
	}
	
	public String getHttpProxy()
	{
		return httpProxy.getText();
	}
	
	public void setHttpProxy(String httpproxy)
	{
		httpProxy.setText(httpproxy);
	}
	
	public boolean isUseProxy()
	{
		return useProxy.isSelected();
	}
	
	public void setUseProxy(boolean setUseProxy)
	{
		useProxy.setSelected(setUseProxy);
	}
	
	public String getURL()
	{
		return url.toString();
	}
	
	public void setURL(String urlString)
	{
		url.setText(urlString);
	}
	
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JPanel buttonPanel;
    private javax.swing.JButton cancelButton;
    private javax.swing.JPanel contentPanel;
    private javax.swing.JTextField ftpPort;
    private javax.swing.JTextField ftpProxy;
    private javax.swing.JTextField httpPort;
    private javax.swing.JTextField httpProxy;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JButton okButton;
    private javax.swing.JTextField url;
    private javax.swing.JCheckBox useProxy;
    // End of variables declaration//GEN-END:variables
	
}
