package nrs.jcards.gui.table;

import java.awt.Component;
import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;
import nrs.jcards.DBDef;
import nrs.jcards.fields.NumberFieldDef;

/**
 * Number renderer
 *
 * @author Copyright &#169; 2002-2009 Nick Sydenham &lt;nsydenham@yahoo.co.uk&gt;
 */
public class NumberRenderer extends DefaultTableCellRenderer
{
	/** Creates a new instance of NumberRenderer */
	public NumberRenderer()
	{
		super();
	}
	
	/**
	 * Returns a table cell renderer for dates.
	 *
	 * @param table  the <code>JTable</code>
	 * @param value  the value to assign to the cell at
	 * 			<code>[row, column]</code>
	 * @param isSelected true if cell is selected
	 * @param hasFocus true if cell has focus
	 * @param row  the row of the cell to render
	 * @param column the column of the cell to render
	 * @return the default table cell renderer
	 */
	@Override
	public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)
	{
		JLabel label = (JLabel)super.getTableCellRendererComponent(table, value, isSelected, hasFocus, row, column);

		// format the value
		if (value != null)
		{
			DBDef dbDef = DBDef.getInstance();
			String fieldName = dbDef.getVisibleFields().get(column);
			assert fieldName != null : "Cannot get field name for column "+column;
			NumberFieldDef nfd = (NumberFieldDef)dbDef.getFieldDef(fieldName);
			nfd.setGUIValue(label, value, false, false);
		}
		
		return label;
	}
}
