/*
 * JCards
 * Copyright (C) 2002-2011 Nick Sydenham <nsydenham@yahoo.co.uk>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package nrs.jcards.io;

import javax.swing.SortOrder;

/**
 * JCards sort ordering enumeration used when saving and loading files
 * 
 * @author Copyright &#169; 2002-2011 Nick Sydenham &lt;nsydenham@yahoo.co.uk&gt;
 */
public enum JCardsSortOrder
{
	JUNSORTED(0),
	JASCENDING(1),
	JDESCENDING(-1);

	public int value;

	private JCardsSortOrder(int iVal)
	{
		this.value = iVal;
	}

	public String getValue()
	{
		return Integer.toString(value);
	}

	public static String getValue(SortOrder so)
	{
		switch (so)
		{
			case ASCENDING: return JASCENDING.getValue();
			default: return JDESCENDING.getValue();
		}
	}

	public static SortOrder getValue(String s)
	{
		if (s == null) {
			return SortOrder.UNSORTED;
		} else if (s.equals("1")) {
			return SortOrder.ASCENDING;
		} else if (s.equals("-1")) {
			return SortOrder.DESCENDING;
		} else {
			return SortOrder.UNSORTED;
		}
	}
}
