package nrs.jcards.io.filter;

import java.io.File;
import javax.swing.filechooser.FileFilter;
import nrs.jcards.JCards;

/*
 * JCards
 * Copyright (C) 2002-2009 Nick Sydenham <nsydenham@yahoo.co.uk>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/**
 * CSV file filter
 *
 * Copyright &#169; 2002-2009 Nick Sydenham &lt;nsydenham@yahoo.co.uk&gt;
 */
public class CSVFileFilter extends FileFilter
{
    /**
     * Whether the given file is accepted by this filter.
     */
    @Override public boolean accept(File f)
    {
		boolean accept = false;
		
		if (f.isDirectory()) {
			accept = true;
		} else if (f.getName().toLowerCase().endsWith(".csv")) {
			accept = true;
		} else {
			accept = false;
		}
		
		return accept;
    }
    
    /**
     * The description of this filter. For example: "JPG and GIF Images"
     *
     * @see FileView#getName
     */
    @Override public String getDescription()
    {
		return JCards.getLabelString("csv.files");
    }
}
