<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="xml" version="1.0" encoding="UTF-8"
	doctype-public="-//W3C/DTD XHTML 1.0 Strict//EN" 
	doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"
	omit-xml-declaration="yes" indent="yes"/>

    <xsl:param name="title" select="JCards"/>
    <xsl:param name="date" select="'-'"/>

	<xsl:template match="/">
	<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
	    <head>
		<title>Cards for <xsl:value-of select="$title"/></title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
		<meta name="author" content="JCards" />
		<xsl:element name="meta">
		    <xsl:attribute name="name">Date</xsl:attribute>
		    <xsl:attribute name="content"><xsl:value-of select="$date"/></xsl:attribute>
		</xsl:element>
	<style type="text/css" id="internalStyle">
	body {
	    background: white;
	}
	
	th {
	    text-align: left;
	}

	#info {
		border: solid thin;
		margin-bottom: 2em;
	}

	#sig {
	    text-align:right;
	    font-size: small;
	    color: gray;
	}
	</style>
	    </head>
	    <body>
	    <h1><xsl:value-of select="$title"/></h1>

	    <xsl:apply-templates select="Cards/info"/>

	    <table border="1" width="100%">
		<thead>
		    <tr>
				<xsl:apply-templates select="Cards" mode="header"/>
		    </tr>
		</thead>
		<tbody>
		    <xsl:apply-templates select="Cards" mode="data"/>
		</tbody>
	    </table>
	
	    <hr/>
	    <p id="sig">Produced by <a href="http://www.nsydenham.net/java/JCards/">JCards</a> on <xsl:value-of select="$date"/>.</p>
	    </body>
	</html>
    </xsl:template>

	<xsl:template match="info">
		<div id="info"><pre><xsl:value-of select="."/></pre></div>
	</xsl:template>

    <xsl:template match="field">
	<th><xsl:value-of select="@name"/></th>
    </xsl:template>

    <xsl:template match="Cards" mode="header">
		<xsl:for-each select="Card">
			<xsl:if test="position() = 1">
				<xsl:for-each select="field">
					<th><xsl:value-of select="@name"/></th>
				</xsl:for-each>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>

    <xsl:template match="Cards" mode="data">
		<xsl:for-each select="Card">
			<tr>
				<xsl:for-each select="field">
					<td><xsl:value-of select="."/></td>
				</xsl:for-each>
			</tr>
		</xsl:for-each>
    </xsl:template>
</xsl:stylesheet>