package nrs.util;

/*
 * CSVParser
 * Copyright (C) 2004,2006 Nick Sydenham <nsydenham@yahoo.co.uk>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/**
 * Interface implemented by classes interested in receiving CSV values from
 * the CSVParser class.
 *
 * @author Copyright &#169; 2004,2006 Nick Sydenham &lt;nsydenham@yahoo.co.uk&gt;
 */
public interface CSVListener
{
    /**
     * A new CSV value has been found
     * @param value the new value
     * @param lineNum line number, starting from 0
     * @param fieldNum the field number
     */
    public void newCSVValue(String value, int lineNum, int fieldNum);
    
    /** Finished parsing the input */
    public void noMoreCSVValues();
}
