<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="xml" version="1.0" encoding="UTF-8"
	doctype-public="-//W3C/DTD XHTML 1.0 Strict//EN" 
	doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"
	omit-xml-declaration="yes" indent="yes"/>

    <xsl:param name="title" select="'JCards'"/>
    <xsl:param name="date" select="'-'"/>

	<xsl:template match="/">
		<xsl:apply-templates select="Cards"/>
	</xsl:template>
	
    <xsl:template match="Cards">
	
	<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
            <head>
                <title>Cards for <xsl:value-of select="$title"/></title>
				<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
                <meta name="Generator" content="JCards" />
                <xsl:element name="meta">
                    <xsl:attribute name="name">Date</xsl:attribute>
                    <xsl:attribute name="content"><xsl:value-of select="$date"/></xsl:attribute>
                </xsl:element>
        <style type="text/css" id="internalStyle">
	body {
	    background: white;
	}

	#info {
		border: solid thin;
		margin-bottom: 2em;
	}

	#id {
		background: light-gray;
		font-size: smaller;
	}
	
	.card {
		border: solid thin;
		margin: 5px;
	}
	.fieldval { }

	th {
		text-align: left;
	}
	
	#sig {
		text-align:right;
		font-size: small;
		color: gray;
	}
        </style>
            </head>
            <body>
                <h1><xsl:value-of select="$title"/></h1>
				<xsl:apply-templates select="info"/>
                <xsl:apply-templates select="Card"/>

                <hr/>
                <p id="sig">Produced by <a href="http://www.nsydenham.net/java/JCards/">JCards</a> on <xsl:value-of select="$date"/>.</p>
            </body>
        </html>
    </xsl:template>

	<xsl:template match="info">
		<div id="info"><pre><xsl:value-of select="."/></pre></div>
	</xsl:template>

    <xsl:template match="Card">
        <div class="card">
            <table border="0" cellspacing="5">
                <xsl:for-each select="field">
                    <xsl:if test=".!=''">
                        <tr>
                            <th><xsl:value-of select="@name"/></th>
                            <td><xsl:value-of select="."/></td>
                        </tr>
                    </xsl:if>
                </xsl:for-each>
            </table>
        </div>
    </xsl:template>
</xsl:stylesheet>